<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.github.wxiaoqi.security.admin.mapper.BaseUserMemberMapper">

	<!-- 可根据自己的需求，是否要使用 -->
    <resultMap type="com.github.wxiaoqi.security.admin.vo.UserMemberVo" id="baseUserMemberMap">
        <result property="id" column="id"/>
        <result property="userId" column="user_id"/>
        <result property="memberNo" column="member_no"/>
        <result property="memberLevel" column="member_level"/>
        <result property="cardLeave" column="card_leave"/>
        <result property="isBind" column="is_bind"/>
        <result property="totalNumber" column="total_number"/>
        <result property="rentFreeDays" column="rent_free_days"/>
        <result property="validTime" column="valid_time"/>
        <result property="crtTime" column="crt_time"/>
        <result property="updTime" column="upd_time"/>
        <result property="isDel" column="is_del"/>
    </resultMap>

    <select id="getInfoByUserId" resultMap="baseUserMemberMap">
          select  * from  base_user_member where  user_id=#{userId} and is_del=0 limit 1
    </select>

</mapper>